package com.muyu.test;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 需求：找出姓张，并且是3个字的名字，存入到一个新集合中
 */
public class Demo {
    public static void main(String[] args) {
        ArrayList<String> names = new ArrayList<>();
        Collections.addAll(names, "张三三", "张张忌", "周芷若", "赵敏", "张三", "韦一笑");

        // 方案一：传统遍历
        List<String> list = new ArrayList<>();
        for (String name : names) {
            if (name.startsWith("张") && name.length() == 3) {
                list.add(name);
            }
        }
        System.out.println(list); // [张三丰, 张无忌]


        // 方案二：Stream
        List<String> list2 = names.stream().filter(name -> name.startsWith("张") && name.length() == 3).collect(Collectors.toList());
        System.out.println(list2); // [张三丰, 张无忌]

    }
}
